--[[
	This file keeps track of aura duration and debuff type.
	I'm opting to use PvP durations when possible.
	
]]

local lib = LibStub("LibAuraInfo-1.0");
if(not lib) then error("spellIdData.lua for LibAuraInfo needs library loaded."); return; end

local myDataVersion = 1276376541;
if(lib.auraInfo and myDataVersion <= lib.spellIdDataVersion) then return; end
lib.spellIdDataVersion = myDataVersion;

--~ local mem1 = collectgarbage("count")
lib.auraInfo = {
[51722] = "10;0", --Dismantle
[20375] = "1800;0", --Seal of Command
[48470] = "3600;1", --Gift of the Wild (Rank 4)
[31583] = "0;0", --Arcane Empowerment (Rank 3)
[66846] = "0;0", --Ochre Skeletal Warhorse
[33660] = "0;0", --Swift Pink Hawkstrider
[55610] = "0;0", --Improved Icy Talons
[47893] = "1800;0", --Fel Armor (Rank 4)
[48266] = "0;0", --Blood Presence
[58777] = "0;0", --Mana Spring (Rank 8)
[64420] = "15;0", --Sniper Training (Rank 3)
[58655] = "0;0", --Flametongue Totem (Rank 8)
[16237] = "15;1", --Ancestral Fortitude (Rank 3)
[57821] = "0;0", --Champion of the Kirin Tor
[60116] = "0;0", --Armored Brown Bear
[53390] = "15;1", --Tidal Waves
[54043] = "0;0", --Retribution Aura (Rank 7)
[57822] = "0;0", --Wyrmrest Champion
[61847] = "0;0", --Aspect of the Dragonhawk (Rank 2)
[57332] = "3600;0", --Well Fed
[48932] = "600;1", --Blessing of Might (Rank 10)
[2895] = "0;0", --Wrath of Air Totem
[22718] = "0;0", --Black War Kodo
[24932] = "0;0", --Leader of the Pack
[57399] = "3600;0", --Well Fed
[48162] = "3600;1", --Prayer of Fortitude (Rank 4)
[29801] = "0;0", --Rampage (Passive)
[49281] = "600;1", --Lightning Shield (Rank 11)
[48074] = "3600;1", --Prayer of Spirit (Rank 3)
[57623] = "120;0", --Horn of Winter (Rank 2)
[48263] = "0;0", --Frost Presence
[32223] = "0;0", --Crusader Aura
[48265] = "0;0", --Unholy Presence
[23251] = "0;0", --Swift Timber Wolf
[53138] = "0;0", --Abomination's Might (Rank 2)
[43002] = "3600;1", --Arcane Brilliance (Rank 3)
[25780] = "0;1", --Righteous Fury
[21084] = "1800;0", --Seal of Righteousness
[48170] = "1200;1", --Prayer of Shadow Protection (Rank 3)
[51470] = "0;0", --Elemental Oath (Rank 2)
[55531] = "0;0", --Mechano-hog
[768] = "0;0", --Cat Form (Shapeshift)
[25163] = "0;0", --Oozeling's Disgusting Aura
[53768] = "0;0", --Haunted
[22721] = "0;0", --Black War Raptor
[48420] = "0;0", --Master Shapeshifter
[15473] = "0;0", --Shadowform
[43046] = "1800;0", --Molten Armor (Rank 3)
[63944] = "60;0", --Renewed Hope
[588] = "1800;0", --Inner Fire (Rank 1)
[17481] = "0;0", --Rivendare's Deathcharger
[35025] = "0;0", --Swift Green Hawkstrider
[168] = "1800;0", --Frost Armor (Rank 1)
[75447] = "0;0", --Ferocious Inspiration
[1459] = "1800;1", --Arcane Intellect (Rank 1)
[1244] = "1800;1", --Power Word: Fortitude (Rank 2)
[57288] = "3600;0", --Well Fed
[57475] = "0;0", --Kindred Spirits
[22724] = "0;0", --Black War Wolf
[33721] = "3600;0", --Spellpower Elixir
[43900] = "0;0", --Swift Brewfest Ram
[57820] = "0;0", --Ebon Champion
[47436] = "360;0", --Battle Shout (Rank 9)
[2479] = "30;0", --Honorless Target
[72586] = "1800;1", --Blessing of Forgotten Kings
[57111] = "3600;0", --Well Fed
[60119] = "0;0", --Black War Bear
[57458] = "0;0", --Kindred Spirits
[61846] = "0;0", --Aspect of the Dragonhawk (Rank 1)
[67016] = "3600;0", --Flask of the North
[23161] = "0;0", --Dreadsteed (Summon)
[48778] = "0;0", --Acherus Deathcharger (Summon)
[72588] = "3600;1", --Gift of the Wild
[19746] = "0;0", --Concentration Aura
[30809] = "0;0", --Unleashed Rage (Rank 3)
[23509] = "0;0", --Frostwolf Howler
[59788] = "0;0", --Black War Mammoth
[1126] = "1800;1", --Mark of the Wild (Rank 1)
[19506] = "0;0", --Trueshot Aura
[43010] = "30;1", --Fire Ward (Rank 7)
[34767] = "0;0", --Summon Charger (Summon)
[72968] = "0;0", --Precious's Ribbon
[22722] = "0;0", --Red Skeletal Warhorse
[25899] = "1800;1", --Greater Blessing of Sanctuary
[27044] = "0;0", --Aspect of the Hawk (Rank 8)
[61465] = "0;0", --Grand Black War Mammoth
[59568] = "0;0", --Blue Drake
[4511] = "0;0", --Phase Shift
[75620] = "0;0", --Celestial Steed
[53758] = "3600;0", --Flask of Stoneblood
[20216] = "0;1", --Divine Favor
[57330] = "120;0", --Horn of Winter (Rank 1)
[42995] = "1800;1", --Arcane Intellect (Rank 7)
[57100] = "3600;0", --Well Fed
[28878] = "0;0", --Heroic Presence (Racial Passive)
[33891] = "0;0", --Tree of Life (Shapeshift)
[12544] = "1800;1", --Frost Armor
[58450] = "1800;1", --Agility (Rank 7)
[57819] = "0;0", --Argent Champion
[34074] = "0;0", --Aspect of the Viper
[1243] = "1800;1", --Power Word: Fortitude (Rank 1)
[57327] = "3600;0", --Well Fed
[9634] = "0;0", --Dire Bear Form (Shapeshift)
[24858] = "0;0", --Moonkin Form (Shapeshift)
[23338] = "0;0", --Swift Stormsaber
[20165] = "1800;0", --Seal of Light
[48469] = "1800;1", --Mark of the Wild (Rank 9)
[43020] = "60;1", --Mana Shield (Rank 9)
[35027] = "0;0", --Swift Purple Hawkstrider
[32999] = "3600;1", --Prayer of Spirit (Rank 2)
[25392] = "3600;1", --Prayer of Fortitude (Rank 3)
[130] = "30;1", --Slow Fall
[55629] = "0;0", --First Lieutenant
[23247] = "0;0", --Great White Kodo
[53736] = "1800;0", --Seal of Corruption
[48418] = "0;0", --Master Shapeshifter
[48422] = "0;0", --Master Shapeshifter
[48934] = "1800;1", --Greater Blessing of Might (Rank 5)
[48938] = "1800;1", --Greater Blessing of Wisdom (Rank 5)
[48942] = "0;0", --Devotion Aura (Rank 10)
[5118] = "0;0", --Aspect of the Cheetah
[48073] = "1800;1", --Divine Spirit (Rank 6)
[53752] = "3600;0", --Lesser Flask of Toughness
[17619] = "0;0", --Alchemist's Stone
[71184] = "15;0", --Soothing
[34123] = "0;0", --Tree of Life (Passive)
[642] = "12;1", --Divine Shield
[44151] = "0;0", --Turbo-Charged Flying Machine
[21850] = "3600;1", --Gift of the Wild (Rank 2)
[49379] = "0;0", --Great Brewfest Kodo
[59797] = "0;0", --Ice Mammoth
[57960] = "600;1", --Water Shield (Rank 9)
[71220] = "15;0", --Energized
[25898] = "1800;1", --Greater Blessing of Kings
[23243] = "0;0", --Swift Orange Raptor
[43008] = "1800;0", --Ice Armor (Rank 6)
[67696] = "10;0", --Energized
[26992] = "600;1", --Thorns (Rank 7)
[48161] = "1800;1", --Power Word: Fortitude (Rank 8)
[24907] = "0;0", --Moonkin Aura
[47982] = "0;0", --Blood Pact (Rank 7)
[7353] = "60;0", --Cozy Fire
[57940] = "0;0", --Essence of Wintergrasp
[6562] = "0;0", --Heroic Presence (Racial Passive)
[54646] = "1800;1", --Focus Magic
[44153] = "0;0", --Flying Machine
[9884] = "1800;1", --Mark of the Wild (Rank 6)
[57325] = "3600;0", --Well Fed
[48441] = "15;1", --Rejuvenation (Rank 15)
[15286] = "1800;0", --Vampiric Embrace
[55166] = "20;1", --Tidal Force
[70806] = "10;0", --Rapid Currents
[61301] = "15;1", --Riptide (Rank 4)
[48421] = "0;0", --Master Shapeshifter
[58744] = "0;0", --Frost Resistance (Rank 6)
[58754] = "0;0", --Stoneskin (Rank 10)
[48168] = "1800;0", --Inner Fire (Rank 9)
[24529] = "0;0", --Spirit Bond (Rank 2)
[65639] = "0;0", --Swift Red Hawkstrider
[63635] = "0;0", --Darkspear Raptor
[49222] = "300;0", --Bone Shield
[43024] = "1800;0", --Mage Armor (Rank 6)
[61316] = "3600;1", --Dalaran Brilliance (Rank 3)
[25389] = "1800;1", --Power Word: Fortitude (Rank 7)
[25312] = "1800;1", --Divine Spirit (Rank 5)
[22720] = "0;0", --Black War Ram
[23250] = "0;0", --Swift Brown Wolf
[68054] = "600;0", --Pressing Engagement
[57294] = "3600;0", --Well Fed
[54753] = "0;0", --White Polar Bear
[57358] = "3600;0", --Well Fed
[60025] = "0;0", --Albino Drake
[20217] = "600;1", --Blessing of Kings
[2645] = "0;1", --Ghost Wolf
[7301] = "1800;0", --Frost Armor (Rank 3)
[60118] = "0;0", --Black War Bear
[48945] = "0;0", --Frost Resistance Aura (Rank 5)
[18499] = "10;0", --Berserker Rage
[57567] = "0;0", --Fel Intelligence (Rank 5)
[53806] = "600;0", --Pygmy Oil
[57531] = "0;1", --Arcane Potency
[23246] = "0;0", --Purple Skeletal Warhorse
[40625] = "5400;0", --Apexis Emanations
[53760] = "3600;0", --Flask of Endless Rage
[65641] = "0;0", --Great Golden Kodo
[48931] = "1800;1", --Blessing of Might (Rank 9)
[546] = "600;0", --Water Walking
[60002] = "0;0", --Time-Lost Proto-Drake
[72590] = "3600;1", --Fortitude
[46628] = "0;0", --Swift White Hawkstrider
[24252] = "0;0", --Swift Zulian Tiger
[48169] = "600;1", --Shadow Protection (Rank 5)
[53307] = "600;1", --Thorns (Rank 8)
[26991] = "3600;1", --Gift of the Wild (Rank 3)
[20166] = "1800;0", --Seal of Wisdom
[61573] = "0;0", --Banner of the Alliance
[10156] = "1800;1", --Arcane Intellect (Rank 4)
[57669] = "15;0", --Replenishment
[22782] = "1800;0", --Mage Armor (Rank 2)
[59578] = "15;1", --The Art of War (Rank 2)
[48018] = "360;0", --Demonic Circle: Summon
[60551] = "10;0", --Furious Gladiator's Libram of Fortitude
[20053] = "30;1", --Vengeance
[50449] = "30;1", --Bloody Vengeance
[8907] = "1800;1", --Mark of the Wild (Rank 5)
[47889] = "1800;0", --Demon Armor (Rank 8)
[10301] = "0;0", --Retribution Aura (Rank 5)
[19838] = "1800;1", --Blessing of Might (Rank 6)
[34769] = "0;0", --Summon Warhorse (Summon)
[20005] = "5;0", --Chilled
[49028] = "12;0", --Dancing Rune Weapon
[55078] = "15;2", --Blood Plague
[45524] = "10;1", --Chains of Ice
[55233] = "10;0", --Vampiric Blood
[55095] = "15;2", --Frost Fever
[1044] = "6;1", --Hand of Freedom
[20066] = "60;1", --Repentance
[25228] = "0;0", --Soul Link
[43265] = "0;0", --Death and Decay (Rank 1)
[19836] = "1800;1", --Blessing of Might (Rank 4)
[61840] = "8;1", --Righteous Vengeance
[48947] = "0;0", --Fire Resistance Aura (Rank 5)
[54499] = "20;0", --Heart of the Crusader (Rank 3)
[10308] = "6;1", --Hammer of Justice (Rank 4)
[49016] = "30;0", --Hysteria
[20184] = "10;1", --Judgement of Justice
[14308] = "20;1", --Freezing Trap Effect (Rank 2)
[20549] = "2;0", --War Stomp (Racial)
[60345] = "3600;0", --Armor Piercing
[10299] = "0;0", --Retribution Aura (Rank 3)
[47476] = "5;1", --Strangulate
[22888] = "7200;0", --Rallying Cry of the Dragonslayer
[48111] = "30;1", --Prayer of Mending (Rank 3)
[64495] = "20;0", --Furious Howl (Rank 6)
[58427] = "20;0", --Overkill
[53365] = "15;0", --Unholy Strength
[34490] = "3;1", --Silencing Shot
[34027] = "30;0", --Kill Command (Rank 1)
[1776] = "4;0", --Gouge
[61685] = "4;0", --Charge
[48447] = "7;0", --Tranquility (Rank 7)
[48463] = "12;1", --Moonfire (Rank 14)
[48990] = "15;1", --Mend Pet (Rank 10)
[54643] = "20;0", --Teleport
[47585] = "6;0", --Dispersion
[1784] = "0;0", --Stealth
[48160] = "13;1", --Vampiric Touch (Rank 5)
[33357] = "15;0", --Dash (Rank 3)
[60568] = "10;0", --Furious Gladiator's Idol of Steadfastness
[58045] = "0;0", --Essence of Wintergrasp
[71570] = "0;0", --Cultivated Power
[59626] = "10;0", --Black Magic
[71187] = "15;0", --Formidable
[770] = "40;1", --Faerie Fire
[63283] = "300;0", --Totem of Wrath
[16870] = "15;1", --Clearcasting
[54149] = "15;0", --Infusion of Light (Rank 2)
[51690] = "2;0", --Killing Spree
[54277] = "0;1", --Backdraft
[11305] = "15;0", --Sprint (Rank 3)
[2584] = "0;0", --Waiting to Resurrect
[63619] = "5;0", --Shadowcrawl
[71572] = "10;0", --Cultivated Power
[35099] = "20;0", --Rapid Killing (Rank 2)
[65264] = "6;1", --Lava Flows
[59164] = "12;1", --Haunt (Rank 4)
[57663] = "0;0", --Totem of Wrath
[35706] = "0;0", --Master Demonologist
[6215] = "20;1", --Fear (Rank 3)
[10890] = "8;1", --Psychic Scream (Rank 4)
[48066] = "30;1", --Power Word: Shield (Rank 14)
[2094] = "10;0", --Blind
[44521] = "0;0", --Preparation
[5215] = "0;0", --Prowl
[783] = "0;0", --Travel Form (Shapeshift)
[59548] = "15;0", --Gift of the Naaru (Racial)
[47811] = "24;1", --Immolate (Rank 11)
[47843] = "15;1", --Unstable Affliction (Rank 5)
[5760] = "10;3", --Mind-numbing Poison
[6788] = "15;0", --Weakened Soul
[70840] = "0;0", --Devious Minds
[30708] = "0;0", --Totem of Wrath
[17941] = "10;1", --Shadow Trance
[12579] = "15;1", --Winter's Chill
[7321] = "8;1", --Chilled (Rank 1)
[49233] = "18;1", --Flame Shock (Rank 9)
[53401] = "20;0", --Rabid
[47860] = "3;1", --Death Coil (Rank 6)
[35101] = "4;0", --Concussive Barrage
[61721] = "50;1", --Polymorph (Rabbit)
[33763] = "7;1", --Lifebloom (Rank 1)
[48450] = "7;1", --Lifebloom (Rank 2)
[48451] = "7;1", --Lifebloom (Rank 3)
[20185] = "20;1", --Judgement of Light (Rank 1)
[57761] = "15;1", --Fireball!
[41425] = "30;0", --Hypothermia
[22812] = "12;1", --Barkskin
[15258] = "15;1", --Shadow Weaving (Rank 1)
[14751] = "0;1", --Inner Focus
[53338] = "60;1", --Hunter's Mark (Rank 5)
[8643] = "6;0", --Kidney Shot (Rank 2)
[47813] = "18;1", --Corruption (Rank 10)
[7922] = "2;0", --Charge Stun (1.5 seconds)
[1604] = "4;0", --Dazed
[23036] = "0;0", --Battle Standard
[53227] = "6;0", --Typhoon (Rank 5)
[59886] = "9;0", --Rake (Rank 6)
[44572] = "5;1", --Deep Freeze
[26669] = "15;0", --Evasion (Rank 2)
[339] = "27;1", --Entangling Roots (Rank 1)
[13877] = "15;0", --Blade Flurry
[57970] = "12;3", --Deadly Poison IX (Rank 9)
[53403] = "0;0", --Rabid Power
[60062] = "10;0", --Essence of Life
[71165] = "15;0", --Molten Core
[22717] = "0;0", --Black War Steed
[67684] = "20;0", --Hospitality
[20186] = "20;1", --Judgement of Wisdom (Rank 1)
[46968] = "4;0", --Shockwave
[53148] = "1;0", --Charge
[53755] = "3600;0", --Flask of the Frost Wyrm
[33395] = "0;1", --Freeze
[12472] = "20;1", --Icy Veins
[72412] = "10;0", --Frostforged Champion
[41252] = "0;0", --Raven Lord
[71199] = "30;0", --Furious
[12536] = "15;1", --Clearcasting
[48518] = "0;0", --Eclipse (Lunar)
[54203] = "12;1", --Sheath of Light
[45548] = "30;0", --Food
[58882] = "6;0", --Rapid Recuperation
[58914] = "30;0", --Kill Command (Rank 1)
[28730] = "2;1", --Arcane Torrent (Racial)
[60479] = "10;0", --Forge Ember
[47241] = "36;0", --Metamorphosis
[43680] = "60;0", --Idle
[14149] = "20;0", --Remorseless (Rank 2)
[52910] = "8;0", --Turn the Tables
[71041] = "1800;0", --Dungeon Deserter
[47864] = "24;4", --Curse of Agony (Rank 9)
[48391] = "10;0", --Owlkin Frenzy
[14177] = "0;0", --Cold Blood
[23229] = "0;0", --Swift Brown Steed
[24259] = "3;1", --Spell Lock
[35696] = "0;0", --Demonic Knowledge
[51585] = "0;0", --Blade Twisting
[18223] = "12;4", --Curse of Exhaustion
[57350] = "6;1", --Illusionary Barrier
[49206] = "0;0", --Summon Gargoyle
[13750] = "15;0", --Adrenaline Rush
[45182] = "3;0", --Cheating Death
[43681] = "60;0", --Inactive
[40120] = "0;0", --Swift Flight Form (Shapeshift)
[8178] = "0;0", --Grounding Totem Effect (Rank 1)
[5116] = "4;0", --Concussive Shot
[42292] = "0;0", --PvP Trinket
[13810] = "0;0", --Frost Trap Aura
[48504] = "15;0", --Living Seed
[42931] = "11;1", --Cone of Cold (Rank 8)
[5484] = "6;1", --Howl of Terror (Rank 1)
[17928] = "8;1", --Howl of Terror (Rank 2)
[47610] = "12;1", --Frostfire Bolt (Rank 2)
[64058] = "10;0", --Psychic Horror
[16491] = "0;0", --Blood Craze
[58597] = "6;1", --Sacred Shield (Rank 1)
[67596] = "15;0", --Tremendous Fortitude
[67117] = "15;0", --Unholy Might
[35714] = "0;0", --Great Purple Elekk
[15487] = "5;1", --Silence
[48090] = "45;0", --Demonic Pact
[63468] = "8;0", --Piercing Shots
[63500] = "0;0", --Argent Crusade Valiant's Pennant
[53312] = "45;1", --Nature's Grasp (Rank 8)
[54861] = "5;0", --Nitro Boosts
[52418] = "0;0", --Carrying Seaforium
[59620] = "15;0", --Berserk
[1953] = "1;0", --Blink
[58646] = "0;0", --Strength of Earth (Rank 8)
[28093] = "15;0", --Lightning Speed
[29131] = "10;0", --Bloodrage
[61792] = "10;0", --Shadowy Insight
[42917] = "8;1", --Frost Nova (Rank 6)
[12042] = "15;1", --Arcane Power
[53201] = "10;0", --Starfall (Rank 4)
[3409] = "4;3", --Crippling Poison
[16166] = "30;1", --Elemental Mastery
[64044] = "3;1", --Psychic Horror
[67695] = "20;0", --Rage
[20572] = "15;0", --Blood Fury (Racial)
[71432] = "0;0", --Mote of Anger
[47836] = "18;1", --Seed of Corruption (Rank 3)
[53601] = "30;1", --Sacred Shield (Rank 1)
[16246] = "15;1", --Clearcasting
[43183] = "30;0", --Drink
[49050] = "10;0", --Aimed Shot (Rank 9)
[604] = "600;1", --Dampen Magic (Rank 1)
[65156] = "10;0", --Juggernaut
[57522] = "12;0", --Enrage (Rank 5)
[26888] = "10;0", --Vanish (Rank 3)
[20253] = "3;0", --Intercept (Rank 1)
[67358] = "9;0", --Rejuvenating
[60553] = "10;0", --Relentless Aggression
[48156] = "3;0", --Mind Flay (Rank 9)
[19263] = "5;0", --Deterrence
[16886] = "3;1", --Nature's Grace
[49065] = "0;0", --Explosive Trap Effect (Rank 6)
[66090] = "0;0", --Quel'dorei Steed
[23228] = "0;0", --Swift White Steed
[1833] = "4;0", --Cheap Shot
[36032] = "6;0", --Arcane Blast
[66803] = "20;0", --Desolation
[48300] = "24;2", --Devouring Plague (Rank 9)
[53426] = "5;0", --Lick Your Wounds
[48672] = "16;0", --Rupture (Rank 9)
[63167] = "10;1", --Decimation
[3600] = "5;1", --Earthbind
[58600] = "10;0", --Restricted Flight Area
[59638] = "4;1", --Frostbolt
[50589] = "0;0", --Immolation Aura (Demon)
[51724] = "60;0", --Sap (Rank 4)
[44401] = "15;1", --Missile Barrage
[23033] = "0;0", --Battle Standard
[55637] = "15;0", --Lightweave
[50536] = "10;0", --Unholy Blight
[5384] = "360;0", --Feign Death
[32851] = "10;0", --Demonic Frenzy
[18425] = "2;1", --Silenced - Improved Kick
[12809] = "5;0", --Concussion Blow
[20511] = "8;0", --Intimidating Shout
[31224] = "5;0", --Cloak of Shadows
[58567] = "0;0", --Sunder Armor (Rank 1)
[59542] = "15;0", --Gift of the Naaru (Racial)
[48125] = "18;1", --Shadow Word: Pain (Rank 12)
[53251] = "7;1", --Wild Growth (Rank 4)
[52179] = "0;0", --Astral Shift
[53283] = "30;0", --Food
[49322] = "0;0", --Swift Zhevra
[55021] = "4;1", --Silenced - Improved Counterspell (Rank 2)
[47856] = "9;0", --Health Funnel (Rank 9)
[43039] = "60;1", --Ice Barrier (Rank 8)
[47995] = "3;0", --Intercept (Rank 4)
[74396] = "15;0", --Fingers of Frost
[70893] = "10;0", --Culling the Herd
[48301] = "10;1", --Mind Trauma
[63244] = "0;1", --Pyroclasm
[61619] = "10;0", --Tentacles
[45283] = "8;1", --Natural Perfection (Rank 3)
[50227] = "5;0", --Sword and Board
[55080] = "8;1", --Shattered Barrier
[6150] = "12;0", --Quick Shots
[25771] = "120;0", --Forbearance
[51713] = "8;0", --Shadow Dance
[45438] = "10;1", --Ice Block
[23240] = "0;0", --Swift White Ram
[17116] = "0;1", --Nature's Swiftness
[33198] = "24;0", --Misery (Rank 3)
[8326] = "0;0", --Ghost
[48068] = "15;1", --Renew (Rank 14)
[55503] = "5;0", --Lifeblood (Rank 6)
[22719] = "0;0", --Black Battlestrider
[52459] = "10;0", --End of Round
[48674] = "6;0", --Deadly Throw (Rank 3)
[33786] = "6;0", --Cyclone
[64524] = "20;0", --Platinum Disks of Battle
[57073] = "30;0", --Drink
[58683] = "0;0", --Savage Combat (Rank 2)
[51735] = "15;2", --Ebon Plague
[53284] = "1800;0", --Well Fed
[49001] = "15;3", --Serpent Sting (Rank 12)
[72416] = "10;0", --Frostforged Sage
[34936] = "8;1", --Backlash
[60947] = "5;1", --Nightmare
[54508] = "0;0", --Demonic Empowerment
[42842] = "12;1", --Frostbolt (Rank 16)
[31589] = "15;1", --Slow
[64844] = "8;1", --Divine Hymn
[12494] = "5;1", --Frostbite
[63848] = "60;0", --Hunger For Blood
[44535] = "6;0", --Spirit Heal
[31884] = "20;1", --Avenging Wrath
[26864] = "15;0", --Hemorrhage (Rank 4)
[61684] = "16;0", --Dash
[53200] = "0;0", --Starfall (Rank 3)
[982] = "3;0", --Revive Pet
[64701] = "15;1", --Elemental Mastery
[60064] = "10;0", --Now is the time!
[53434] = "20;0", --Call of the Wild
[60302] = "10;0", --Meteorite Whetstone
[54131] = "5;0", --Bloodthirsty
[3045] = "15;0", --Rapid Fire
[23249] = "0;0", --Great Brown Kodo
[12043] = "0;1", --Presence of Mind
[61671] = "10;0", --Crusader's Glory
[71586] = "10;0", --Hardened Skin
[57516] = "12;0", --Enrage (Rank 2)
[53746] = "3600;0", --Wrath Elixir
[17539] = "7200;0", --Greater Arcane Elixir
[782] = "600;1", --Thorns (Rank 2)
[5232] = "1800;1", --Mark of the Wild (Rank 2)
[673] = "7200;0", --Lesser Armor
[29842] = "10;0", --Second Wind (Rank 2)
[57286] = "3600;0", --Well Fed
[27818] = "6;1", --Blessed Recovery (Rank 3)
[871] = "12;0", --Shield Wall
[53517] = "9;1", --Roar of Recovery
[48943] = "0;0", --Shadow Resistance Aura (Rank 5)
[72418] = "10;0", --Chilling Knowledge
[47437] = "30;0", --Demoralizing Shout (Rank 8)
[66091] = "0;0", --Sunreaver Hawkstrider
[59725] = "5;0", --Spell Reflection
[74347] = "3;1", --Silenced - Gag Order
[18498] = "3;1", --Silenced - Gag Order
[19503] = "4;0", --Scatter Shot
[64419] = "15;0", --Sniper Training (Rank 3)
[55502] = "5;0", --Lifeblood (Rank 5)
[10060] = "15;1", --Power Infusion
[67017] = "3600;0", --Flask of the North
[16188] = "0;1", --Nature's Swiftness
[63232] = "0;0", --Stormwind Steed
[54833] = "10;1", --Glyph of Innervate
[32600] = "10;0", --Avoidance
[33206] = "8;1", --Pain Suppression
[4167] = "4;1", --Web (Rank 1)
[47502] = "30;0", --Thunder Clap (Rank 9)
[30070] = "0;0", --Blood Frenzy (Rank 2)
[67018] = "3600;0", --Flask of the North
[7744] = "0;0", --Will of the Forsaken (Racial)
[71401] = "15;0", --Icy Rage
[16591] = "600;1", --Noggenfogger Elixir
[16595] = "600;1", --Noggenfogger Elixir
[55001] = "30;0", --Parachute
[22723] = "0;0", --Black War Tiger
[46857] = "60;0", --Trauma (Rank 2)
[32182] = "40;1", --Heroism
[48443] = "27;1", --Regrowth (Rank 12)
[9885] = "1800;1", --Mark of the Wild (Rank 7)
[71227] = "15;0", --Indomitable
[60229] = "15;0", --Greatness
[42650] = "4;0", --Army of the Dead
[17962] = "6;0", --Conflagrate
[23333] = "0;0", --Warsong Flag
[63672] = "15;1", --Black Arrow (Rank 6)
[53480] = "12;0", --Roar of Sacrifice
[46356] = "300;0", --Blood Elf Illusion
[57329] = "3600;0", --Well Fed
[47440] = "120;0", --Commanding Shout (Rank 3)
[48468] = "14;1", --Insect Swarm (Rank 7)
[67388] = "15;0", --Spiritual Trance
[49010] = "30;3", --Wyvern Sting (Rank 6)
[59752] = "0;0", --Every Man for Himself (Racial)
[56453] = "12;0", --Lock and Load
[2893] = "12;1", --Abolish Poison
[18118] = "5;1", --Aftermath
[52437] = "10;0", --Sudden Death
[23493] = "10;0", --Restoration
[67] = "10;1", --Vindication (Rank 1)
[12051] = "6;0", --Evocation
[47465] = "15;0", --Rend (Rank 10)
[44413] = "10;1", --Incanter's Absorption
[47481] = "3;0", --Gnaw
[43688] = "0;0", --Amani War Bear
[45242] = "8;1", --Focused Will (Rank 3)
[59785] = "0;0", --Black War Mammoth
[17465] = "0;0", --Green Skeletal Warhorse
[48836] = "5;0", --Vengeful Justice
[48135] = "7;1", --Holy Fire (Rank 11)
[1715] = "15;0", --Hamstring
[31801] = "1800;0", --Seal of Vengeance
[3043] = "20;3", --Scorpid Sting
[51514] = "30;4", --Hex 
[67360] = "12;0", --Blessing of the Moon Goddess
[23920] = "5;0", --Spell Reflection
[46199] = "0;0", --X-51 Nether-Rocket X-TREME
[49012] = "30;3", --Wyvern Sting (Rank 6)
[47753] = "12;1", --Divine Aegis (Rank 1)
[34501] = "7;1", --Expose Weakness
[1719] = "12;0", --Recklessness
[71584] = "15;0", --Revitalized
[71600] = "0;0", --Surging Power
[57993] = "5;3", --Envenom (Rank 4)
[48566] = "60;0", --Mangle (Cat) (Rank 5)
[59547] = "15;0", --Gift of the Naaru (Racial)
[60065] = "10;0", --Reflection of Torment
[23219] = "0;0", --Swift Mistsaber
[60097] = "10;0", --Feeding Frenzy (Rank 2)
[47865] = "120;4", --Curse of the Elements (Rank 5)
[47486] = "10;0", --Mortal Strike (Rank 8)
[46924] = "6;0", --Bladestorm
[23214] = "0;0", --Charger (Summon)
[53515] = "8;1", --Owl's Focus
[71601] = "20;0", --Surge of Power
[57356] = "3600;0", --Well Fed
[19821] = "5;1", --Arcane Bomb
[3034] = "8;3", --Viper Sting
[32612] = "0;0", --Invisibility
[29166] = "10;1", --Innervate
[49236] = "8;1", --Frost Shock (Rank 7)
[48989] = "15;1", --Mend Pet (Rank 9)
[53313] = "27;1", --Entangling Roots (Rank 8)
[55694] = "10;0", --Enraged Regeneration
[6346] = "180;1", --Fear Ward
[49938] = "0;0", --Death and Decay (Rank 4)
[49284] = "600;1", --Earth Shield (Rank 5)
[60053] = "2;0", --Explosive Shot (Rank 4)
[23238] = "0;0", --Swift Brown Ram
[57723] = "600;0", --Exhaustion
[52000] = "12;1", --Earthliving (Rank 6)
[23252] = "0;0", --Swift Gray Wolf
[12970] = "15;0", --Flurry (Rank 5)
[23510] = "0;0", --Stormpike Battle Charger
[23335] = "0;0", --Silverwing Flag
[12976] = "20;0", --Last Stand
[48936] = "600;1", --Blessing of Wisdom (Rank 9)
[46916] = "5;0", --Slam!
[8647] = "30;0", --Expose Armor
[13159] = "0;0", --Aspect of the Pack
[65642] = "0;0", --Turbostrider
[60114] = "0;0", --Armored Brown Bear
[55277] = "15;0", --Stoneclaw Totem
[60433] = "12;1", --Earth and Moon
[23885] = "8;0", --Bloodthirst
[59891] = "6;1", --Borrowed Time
[47857] = "5;1", --Drain Life (Rank 9)
[29703] = "6;0", --Dazed
[47930] = "15;1", --Grace
[2565] = "10;0", --Shield Block
[67708] = "15;0", --Paragon
[47847] = "3;1", --Shadowfury (Rank 5)
[30802] = "0;0", --Unleashed Rage (Rank 1)
[60210] = "10;1", --Freezing Arrow Effect (Rank 1) (PvP duration)
[66906] = "0;0", --Argent Charger (Summon)
[25809] = "11;3", --Crippling Poison (Rank 1)
[64695] = "4;1", --Earthgrab
[15359] = "15;1", --Inspiration (Rank 3)
[46989] = "4;1", --Improved Blink
[54648] = "10;1", --Focus Magic
[57724] = "600;0", --Sated
[12721] = "6;0", --Deep Wounds
[23451] = "10;0", --Speed
[70855] = "10;0", --Blood Drinker
[67737] = "0;0", --Risen Fury
[20178] = "8;0", --Reckoning
[34898] = "0;0", --Silver War Talbuk
[71484] = "30;0", --Strength of the Taunka
[63243] = "0;1", --Pyroclasm
[1460] = "1800;1", --Arcane Intellect (Rank 2)
[67738] = "20;0", --Rising Fury
[27828] = "6;1", --Focused Casting (Rank 2)
[25296] = "0;0", --Aspect of the Hawk (Rank 7)
[57457] = "0;0", --Kindred Spirits
[71882] = "10;1", --Invigoration
[75446] = "0;0", --Ferocious Inspiration
[20230] = "0;0", --Retaliation
[18708] = "15;0", --Fel Domination
[14309] = "20;1", --Freezing Trap Effect (Rank 3)
[14818] = "1800;1", --Divine Spirit (Rank 2)
[71192] = "15;0", --Blessed
[31803] = "15;1", --Holy Vengeance (Rank 1)
[47988] = "6;0", --Consume Shadows (Rank 9)
[66922] = "12;1", --Flash of Light
[14321] = "0;0", --Aspect of the Hawk (Rank 5)
[54370] = "0;1", --Nether Protection
[48024] = "0;0", --Headless Horseman's Mount
[17229] = "0;0", --Winterspring Frostsaber
[48040] = "1800;0", --Inner Fire (Rank 8)
[20911] = "600;1", --Blessing of Sanctuary
[50334] = "15;0", --Berserk
[1006] = "1800;0", --Inner Fire (Rank 4)
[54371] = "0;1", --Nether Protection
[67669] = "10;0", --Elusive Power
[65645] = "0;0", --White Skeletal Warhorse
[43751] = "10;0", --Energized
[66233] = "120;0", --Ardent Defender
[64205] = "10;1", --Divine Sacrifice
[39317] = "0;0", --Silver Riding Talbuk
[57482] = "0;0", --Kindred Spirits
[18647] = "30;1", --Banish (Rank 2)
[23221] = "0;0", --Swift Frostsaber
[1038] = "0;1", --Hand of Salvation
[57371] = "3600;0", --Well Fed
[63725] = "8;1", --Holy Concentration
[70940] = "6;0", --Divine Guardian
[61447] = "0;0", --Traveler's Tundra Mammoth
[47986] = "30;1", --Sacrifice (Rank 9)
[24378] = "60;0", --Berserking
[68055] = "20;1", --Judgements of the Just (Rank 1)
[65019] = "10;0", --Mjolnir Runestone
[71491] = "30;0", --Aim of the Iron Dwarves
[2791] = "1800;1", --Power Word: Fortitude (Rank 4)
[23239] = "0;0", --Swift Gray Ram
[62408] = "300;0", --Ethereal Oil
[69369] = "8;1", --Predator's Swiftness
[48827] = "10;1", --Avenger's Shield (Rank 5)
[54374] = "8;1", --Nether Protection
[27827] = "15;0", --Spirit of Redemption
[34321] = "10;0", --Call of the Nexus
[12328] = "30;0", --Sweeping Strikes
[34837] = "8;0", --Master Tactician (Rank 5)
[48574] = "9;0", --Rake (Rank 7)
[58499] = "7200;0", --Happy
[54153] = "60;0", --Judgements of the Pure (Rank 5)
[67671] = "10;0", --Fury
[57975] = "10;3", --Wound Poison VII (Rank 7)
[58181] = "12;2", --Infected Wounds
[67703] = "15;0", --Paragon
[26013] = "900;0", --Deserter
[11196] = "60;0", --Recently Bandaged
[54501] = "6;0", --Consume Shadows
[53137] = "0;0", --Abomination's Might (Rank 1)
[67383] = "20;0", --Unholy Force (Rank 1)
[52610] = "34;0", --Savage Roar (Rank 1) (note this duration changes by combo points, 14, 19, 24, 29, 34)
[45241] = "8;1", --Focused Will (Rank 2)
[47855] = "0;0", --Drain Soul (Rank 6)
[63734] = "20;1", --Serendipity
[34655] = "8;3", --Deadly Poison
[71403] = "10;0", --Fatal Flaws
[132] = "600;1", --Detect Invisibility
[65646] = "0;0", --Swift Burgundy Wolf
[43180] = "30;0", --Food
[20132] = "10;0", --Redoubt
[63529] = "3;1", --Silenced - Shield of the Templar
[60503] = "9;0", --Taste for Blood
[64659] = "0;0", --Venomhide Ravasaur
[49804] = "18;0", --Pounce Bleed (Rank 5)
[67355] = "16;0", --Agile
[66157] = "0;0", --Honorable Defender
[67371] = "16;0", --Holy Strength
[68766] = "0;0", --Desecration
[31834] = "15;1", --Light's Grace
[23227] = "0;0", --Swift Palomino
[50213] = "6;0", --Tiger's Fury (Rank 6)
[27268] = "0;0", --Blood Pact (Rank 6)
[71864] = "0;0", --Fountain of Light
[53908] = "0;0", --Speed
[52134] = "600;1", --Water Shield (Rank 4)
[20164] = "1800;0", --Seal of Justice
[54428] = "15;1", --Divine Plea
[23978] = "10;0", --Speed
[20170] = "2;0", --Stun
[45544] = "8;0", --First Aid (Rank 15)
[14278] = "0;0", --Ghostly Strike
[67364] = "0;0", --Holy Judgement
[1539] = "0;0", --Feed Pet
[46987] = "4;1", --Frostbolt
[61469] = "0;0", --Grand Ice Mammoth
[58179] = "0;2", --Infected Wounds
[60215] = "0;0", --Lavanthor's Talisman
[54758] = "12;0", --Hyperspeed Acceleration
[59628] = "6;0", --Tricks of the Trade
[72414] = "0;0", --Frostforged Defender
[58374] = "10;0", --Glyph of Blocking
[20236] = "0;1", --Lay on Hands (Rank 2)
[43015] = "600;1", --Dampen Magic (Rank 7)
[22911] = "0;0", --Charge
[36554] = "0;0", --Shadowstep
[64371] = "10;1", --Eradication
[16567] = "600;4", --Tainted Mind
[8983] = "4;0", --Bash (Rank 3)
[15588] = "0;1", --Thunderclap
[60196] = "12;0", --Berserker!
[23693] = "120;0", --Stormpike's Salvation
[49802] = "6;0", --Maim (Rank 2)
[57934] = "30;0", --Tricks of the Trade
[38384] = "8;1", --Cone of Cold
[12169] = "5;0", --Shield Block
[19574] = "10;0", --Bestial Wrath
[33697] = "0;0", --Blood Fury (Racial)
[48560] = "30;0", --Demoralizing Roar (Rank 8)
[13443] = "15;0", --Rend
[48568] = "15;0", --Lacerate (Rank 3)
[16857] = "40;1", --Faerie Fire (Feral)
[70029] = "0;0", --The Beast Within
[48707] = "5;0", --Anti-Magic Shell
[58363] = "0;0", --Glyph of Revenge
[70757] = "0;0", --Holiness (Rank 5)
[34471] = "10;0", --The Beast Within
[49231] = "8;0", --Earth Shock (Rank 10)
[64856] = "10;0", --Blade Barrier (Rank 3)
[10278] = "10;1", --Hand of Protection (Rank 3)
[50259] = "0;0", --Dazed
[47990] = "15;1", --Suffering (Rank 8)
[61427] = "20;0", --Infinite Speed
[64850] = "6;0", --Unrelenting Assault
[58617] = "10;0", --Glyph of Heart Strike
[36563] = "0;0", --Shadowstep
[8221] = "3600;0", --Yaaarrrr
[2825] = "0;1", --Bloodlust
[53257] = "10;0", --Cobra Strikes
[70721] = "6;0", --Omen of Doom
[53220] = "0;0", --Improved Steady Shot
[32391] = "0;1", --Shadow Embrace
[26297] = "10;0", --Berserking (Racial)
[48660] = "15;0", --Hemorrhage (Rank 5)
[71177] = "15;0", --Vicious
[16509] = "15;0", --Rend
[23511] = "0;0", --Demoralizing Shout
[60233] = "15;0", --Greatness
[49803] = "4;0", --Pounce (Rank 5)
[50461] = "0;0", --Anti-Magic Zone
[49039] = "10;0", --Lichborne
[64440] = "0;0", --Blade Warding
[3714] = "0;0", --Path of Frost
[58799] = "0;0", --Frostbrand Attack (Rank 9)
[58610] = "10;1", --Lava Breath (Rank 5)
[67466] = "0;0", --Argent Warhorse
[47823] = "14;0", --Hellfire (Rank 5)
[1543] = "0;0", --Flare
[31665] = "6;0", --Master of Subtlety
[45529] = "20;0", --Blood Tap
[50510] = "0;2", --Crypt Fever
[53308] = "27;1", --Entangling Roots (Rank 8)
[49800] = "12;0", --Rip (Rank 9)
[54373] = "8;1", --Nether Protection
[71492] = "0;0", --Speed of the Vrykul
[5697] = "600;0", --Unending Breath
[54152] = "60;0", --Judgements of the Pure (Rank 4)
[34790] = "0;0", --Dark War Talbuk
[15271] = "15;1", --Spirit Tap (Rank 1)
[45282] = "8;1", --Natural Perfection (Rank 2)
[51693] = "6;0", --Waylay
[23694] = "5;0", --Improved Hamstring
[11719] = "0;4", --Curse of Tongues (Rank 2)
[60214] = "0;0", --Seal of the Pantheon
[50411] = "3;0", --Dazed
[48792] = "12;0", --Icebound Fortitude
[46604] = "4;1", --Ice Block
[49054] = "0;1", --Immolation Trap (Rank 8)
[1330] = "3;0", --Garrote - Silence
[67631] = "10;1", --Aegis
[19136] = "0;0", --Stormbolt
[71486] = "0;0", --Power of the Taunka
[64568] = "20;0", --Blood Reserve
[17364] = "0;0", --Stormstrike
[61258] = "5;0", --Runic Return (Rank 2)
[48676] = "18;0", --Garrote (Rank 10)
[65247] = "3514;0", --Well Fed
[5229] = "10;0", --Enrage
[39319] = "0;0", --White Riding Talbuk
[48467] = "0;0", --Hurricane (Rank 5)
[57933] = "6;0", --Tricks of the Trade
[62064] = "0;0", --Tower Control
[50511] = "120;4", --Curse of Weakness (Rank 9)
[7870] = "300;0", --Lesser Invisibility
[68269] = "0;0", --The Brewmaiden's Blessing (Rank 6)
[64370] = "10;1", --Eradication
[31616] = "10;0", --Nature's Guardian
[54726] = "0;0", --Winged Steed of the Ebon Blade
[23242] = "0;0", --Swift Olive Raptor
[32388] = "12;1", --Shadow Embrace
[32390] = "12;1", --Shadow Embrace
[23248] = "0;0", --Great Gray Kodo
[59961] = "0;0", --Red Proto-Drake
[48027] = "0;0", --Black War Elekk
[71564] = "20;0", --Deadly Precision
[39796] = "3;1", --Stoneclaw Stun
[48817] = "3;1", --Holy Wrath (Rank 5)
[48952] = "10;1", --Holy Shield (Rank 6)
[67683] = "20;0", --Celerity
[53659] = "10;0", --Sacred Cleansing
[552] = "0;1", --Abolish Disease
[64859] = "10;0", --Blade Barrier (Rank 5)
[14819] = "1800;1", --Divine Spirit (Rank 3)
[60549] = "10;0", --Deadly Aggression
[67890] = "3;0", --Cobalt Frag Bomb
[32245] = "0;0", --Green Wind Rider
[31842] = "15;1", --Divine Illumination
[71216] = "15;0", --Enraged
[54727] = "0;0", --Winged Steed of the Ebon Blade
[75596] = "0;0", --Frosty Flying Carpet
[63844] = "0;0", --Argent Hippogryph
[58549] = "0;0", --Tenacity
[33280] = "0;0", --Corporal
[58557] = "0;0", --Greatest Honor
[31821] = "6;0", --Aura Mastery
[75618] = "0;0", --Celestial Steed
[27126] = "1800;1", --Arcane Intellect (Rank 6)
[25810] = "12;3", --Mind-numbing Poison
[15708] = "0;0", --Mortal Strike
[33943] = "0;0", --Flight Form (Shapeshift)
[61309] = "0;0", --Magnificent Flying Carpet
[32243] = "0;0", --Tawny Wind Rider
[35098] = "20;0", --Rapid Killing (Rank 1)
[71396] = "10;0", --Rage of the Fallen
[58861] = "2;0", --Bash (Rank 1)
[63685] = "5;1", --Freeze
[50989] = "3;0", --Flame Breath
[61858] = "0;0", --Plague Slime
[6196] = "0;0", --Far Sight
[58875] = "15;0", --Spirit Walk
[75972] = "0;0", --X-53 Touring Rocket
[75617] = "0;0", --Celestial Steed
[58591] = "15;0", --Stoneclaw Totem
[26017] = "10;1", --Vindication (Rank 2)
[59911] = "0;0", --Tenacity
[32244] = "0;0", --Blue Wind Rider
[49759] = "0;0", --Teleport
[29178] = "10;0", --Elemental Devastation (Rank 3)
[18657] = "40;1", --Hibernate (Rank 2)
[41516] = "0;0", --Purple Netherwing Drake
[60946] = "4;1", --Nightmare
[36444] = "0;0", --Wintergrasp Water
[23241] = "0;0", --Swift Blue Raptor
[29177] = "10;0", --Elemental Devastation (Rank 2)
[75957] = "0;0", --X-53 Touring Rocket
[57365] = "0;0", --Well Fed
[10326] = "20;1", --Turn Evil
[54375] = "0;1", --Nether Protection
[10293] = "0;0", --Devotion Aura (Rank 7)
[55018] = "10;0", --Sonic Awareness
[58578] = "20;0", --Icy Talons
[53817] = "30;1", --Maelstrom Weapon
[67385] = "12;0", --Energized
[16280] = "15;0", --Flurry (Rank 5)
[498] = "12;1", --Divine Protection
[60347] = "7200;0", --Mighty Thoughts
[58729] = "0;0", --Spiritual Immunity
[10937] = "1800;1", --Power Word: Fortitude (Rank 5)
[60437] = "10;0", --Grim Toll
[50613] = "2;1", --Arcane Torrent (Racial)
[57348] = "0;0", --Carrying an RP-GG
[63321] = "40;1", --Life Tap
[60520] = "0;0", --Spark of Life
[34897] = "0;0", --White War Talbuk
[60424] = "0;0", --Mekgineer's Chopper
[44795] = "0;0", --Parachute
[48101] = "1800;1", --Stamina (Level 6)
[67378] = "18;0", --Evasion (Rank 1)
[35028] = "0;0", --Swift Warstrider
[54839] = "0;0", --Purified Spirit
[64804] = "4;1", --Entrapment
[55741] = "0;0", --Desecration
[60314] = "10;0", --Fury of the Five Flights
[70728] = "10;0", --Exploit Weakness
[8515] = "0;0", --Windfury Totem (Rank 1)
[47883] = "900;0", --Soulstone Resurrection
[14893] = "0;1", --Inspiration (Rank 1)
[56654] = "0;0", --Rapid Recuperation
[60341] = "7200;0", --Deadly Strikes
[55428] = "5;0", --Lifeblood (Rank 1)
[70657] = "0;0", --Advantage (Rank 5)
[53749] = "3600;0", --Guru's Elixir
[45472] = "60;0", --Parachute
[71824] = "6;1", --Lava Burst
[27813] = "6;1", --Blessed Recovery (Rank 1)
[14267] = "0;0", --Horde Flag
[14268] = "0;0", --Alliance Flag
[21553] = "10;0", --Mortal Strike (Rank 4)
[58730] = "9;0", --Restricted Flight Area
[60512] = "15;0", --Healing Trance
[53023] = "4;0", --Mind Sear (Rank 2)
[59885] = "9;0", --Rake (Rank 5)
[71007] = "10;0", --Stinger
[37795] = "0;0", --Recruit
[53547] = "4;1", --Pin (Rank 5)
[59569] = "0;0", --Bronze Drake
[52127] = "600;1", --Water Shield (Rank 1)
[52129] = "600;1", --Water Shield (Rank 2)
[55817] = "3600;0", --Eck Residue
[17800] = "30;1", --Shadow Mastery
[64658] = "0;0", --Black Wolf
[19683] = "900;0", --Tame Armored Scorpid
[3436] = "300;2", --Wandering Plague
[1461] = "1800;1", --Arcane Intellect (Rank 3)
[8385] = "3600;1", --Swift Wind
[10157] = "1800;1", --Arcane Intellect (Rank 5)
[70691] = "15;1", --Rejuvenation
[25804] = "900;0", --Rumsey Rum Black Label
[8212] = "2400;0", --Enlarge
[16236] = "15;1", --Ancestral Fortitude (Rank 2)
[10220] = "1800;0", --Ice Armor (Rank 4)
[26990] = "1800;1", --Mark of the Wild (Rank 8)
[1245] = "1800;1", --Power Word: Fortitude (Rank 3)
[61024] = "1800;1", --Dalaran Intellect (Rank 7)
[43045] = "1800;0", --Molten Armor (Rank 2)
[6756] = "1800;1", --Mark of the Wild (Rank 3)
[25291] = "1800;1", --Blessing of Might (Rank 7)
[14320] = "0;0", --Aspect of the Hawk (Rank 4)
[61467] = "0;0", --Grand Black War Mammoth
[5234] = "1800;1", --Mark of the Wild (Rank 4)
[24398] = "600;1", --Water Shield (Rank 7)
[68056] = "0;0", --Swift Horde Wolf
[24711] = "3600;0", --Ninja Costume
[24735] = "3600;0", --Ghost Costume
[10290] = "0;0", --Devotion Aura (Rank 2)
[19742] = "600;1", --Blessing of Wisdom (Rank 1)
[29348] = "3600;0", --Goldenmist Special Brew
[34795] = "0;0", --Red Hawkstrider
[10799] = "0;0", --Violet Raptor
[75619] = "0;0", --Celestial Steed
[35020] = "0;0", --Blue Hawkstrider
[324] = "600;1", --Lightning Shield (Rank 1)
[58511] = "45;0", --Rotten Apple Aroma
[1706] = "120;1", --Levitate
[58519] = "45;0", --Spit
[58514] = "45;0", --Rotten Banana Aroma
[23028] = "3600;1", --Arcane Brilliance (Rank 1)
[48065] = "30;1", --Power Word: Shield (Rank 13)
[55711] = "600;0", --Weakened Heart
[50421] = "0;0", --Scent of Blood
[70725] = "10;0", --Enraged Defense
[51124] = "30;0", --Killing Machine
[63665] = "0;0", --Charge
[45334] = "4;0", --Feral Charge Effect
[70753] = "0;0", --Pushing the Limit
[64368] = "10;1", --Eradication
[22959] = "30;1", --Improved Scorch
[49000] = "21;3", --Serpent Sting (Rank 11)
[42891] = "0;0", --Pyroblast (Rank 12)
[60218] = "0;0", --Essence of Gossamer
[63433] = "0;0", --Orgrimmar Champion's Pennant
[64951] = "12;0", --Primal Wrath (Rank 5)
[22842] = "10;0", --Frenzied Regeneration
[59996] = "0;0", --Blue Proto-Drake
[64494] = "0;0", --Furious Howl (Rank 5)
[60956] = "0;0", --Improved Health Funnel
[20578] = "10;0", --Cannibalize
[32297] = "0;0", --Swift Purple Wind Rider
[12654] = "4;1", --Ignite
[43927] = "0;0", --Cenarion War Hippogryph
[64810] = "0;0", --Bested Ironforge
[14325] = "120;1", --Hunter's Mark (Rank 4)
[1066] = "0;0", --Aquatic Form (Shapeshift)
[46833] = "15;0", --Wrath of Elune
[60305] = "20;0", --Heart of a Dragon
[62606] = "10;0", --Savage Defense
[47891] = "30;1", --Shadow Ward (Rank 6)
[59000] = "0;1", --Improved Spirit Tap (Rank 2)
[60318] = "13;0", --Edward's Insight
[14203] = "12;0", --Enrage (Rank 4)
[43012] = "26;1", --Frost Ward (Rank 7)
[71633] = "10;0", --Thick Skin
[53742] = "15;1", --Blood Corruption (Rank 1)
[51726] = "0;2", --Ebon Plague
[55360] = "12;1", --Living Bomb (Rank 3)
[61336] = "20;0", --Survival Instincts
[64373] = "0;0", --Armistice
[51271] = "20;0", --Unbreakable Armor
[48564] = "0;0", --Mangle (Bear) (Rank 5)
[62552] = "0;0", --Defend
[33263] = "0;0", --Well Fed
[20007] = "0;0", --Holy Strength
[48446] = "0;0", --Tranquility (Rank 6)
[54372] = "0;1", --Nether Protection
[39802] = "0;0", --Silver Riding Nether Ray
[48517] = "0;0", --Eclipse (Solar)
[43038] = "60;1", --Ice Barrier (Rank 7)
[67354] = "9;0", --Evasion (Rank 5)
[12323] = "0;0", --Piercing Howl
[62574] = "0;0", --Warts-B-Gone Lip Balm
[59052] = "0;1", --Freezing Fog
[67694] = "0;0", --Defensive Tactics
[7178] = "1800;0", --Water Breathing (Rank 1)
[57367] = "3600;0", --Well Fed
[63963] = "0;0", --Rusted Proto-Drake
[35713] = "0;0", --Great Blue Elekk
[63640] = "0;0", --Orgrimmar Wolf
[72808] = "0;0", --Bloodbathed Frostbrood Vanquisher
[15007] = "600;0", --Resurrection Sickness
[60346] = "3600;0", --Lightning Speed
[67713] = "0;0", --Mote of Flame
[65644] = "0;0", --Swift Purple Raptor
[34899] = "0;0", --Tan War Talbuk
[40623] = "3600;0", --Apexis Vibrations
[28497] = "7200;0", --Mighty Agility
[57334] = "3600;0", --Well Fed
[25472] = "600;1", --Lightning Shield (Rank 9)
[54212] = "7200;0", --Flask of Pure Mojo
[31579] = "0;0", --Arcane Empowerment (Rank 1)
[73313] = "0;0", --Crimson Deathcharger (Summon)
[8219] = "3600;0", --Flip Out
[21183] = "20;0", --Heart of the Crusader (Rank 1)
[14752] = "1800;1", --Divine Spirit (Rank 1)
[57485] = "0;0", --Kindred Spirits
[5487] = "0;0", --Bear Form (Shapeshift)
[52136] = "600;1", --Water Shield (Rank 5)
[43196] = "1800;1", --Armor (Rank 6)
[7804] = "0;0", --Blood Pact (Rank 2)
[33268] = "1800;0", --Well Fed
[16609] = "3600;0", --Warchief's Blessing
[10796] = "0;0", --Turquoise Raptor
[131] = "600;0", --Water Breathing
[706] = "1800;0", --Demon Armor (Rank 1)
[52131] = "600;1", --Water Shield (Rank 3)
[13163] = "0;0", --Aspect of the Monkey
[19835] = "600;1", --Blessing of Might (Rank 3)
[905] = "600;1", --Lightning Shield (Rank 3)
[10298] = "0;0", --Retribution Aura (Rank 2)
[2378] = "7200;0", --Health
[8220] = "3600;0", --Flip Out
[27150] = "0;0", --Retribution Aura (Rank 6)
[42138] = "7200;0", --Brewfest Enthusiast
[61485] = "60;0", --Dreadful Roar
[39374] = "1200;1", --Prayer of Shadow Protection (Rank 2)
[1032] = "0;0", --Devotion Aura (Rank 5)
[10431] = "600;1", --Lightning Shield (Rank 6)
[19899] = "0;0", --Fire Resistance Aura (Rank 2)
[2374] = "3600;0", --Lesser Agility
[7300] = "1800;0", --Frost Armor (Rank 2)
[27089] = "30;0", --Drink
[17670] = "0;0", --Argent Dawn Commission
[48933] = "1800;1", --Greater Blessing of Might (Rank 4)
[57974] = "10;3", --Wound Poison VI (Rank 6)
[48675] = "18;0", --Garrote (Rank 9)
[21564] = "3600;1", --Prayer of Fortitude (Rank 2)
[16593] = "15;1", --Noggenfogger Elixir
[10938] = "1800;1", --Power Word: Fortitude (Rank 6)
[48671] = "14;0", --Rupture (Rank 8)
[39439] = "10;0", --Aura of the Crusader
[8395] = "0;0", --Emerald Raptor
[61394] = "4;1", --Glyph of Freezing Trap
[1075] = "600;1", --Thorns (Rank 3)
[15571] = "4;0",  --Dazed
[19615] = "8;0",  --Frenzy Effect (Rank 1)
[46168] = "0;0", --Pet Biscuit
[65745] = "300;0", --Path of Cenarius
[10952] = "1800;0", --Inner Fire (Rank 6)
[55480] = "5;0", --Lifeblood (Rank 2)
[30823] = "15;0", --Shamanistic Rage
[58611] = "10;1", --Lava Breath (Rank 6)
[27841] = "1800;1", --Divine Spirit (Rank 4)
[6774] = "6;0",  --Slice and Dice (Rank 2)
[53563] = "60;1",  --Beacon of Light
[33736] = "600;1", --Water Shield (Rank 8)
[10958] = "600;1", --Shadow Protection (Rank 3)
[8914] = "600;1", --Thorns (Rank 4)
[24242] = "0;0", --Swift Razzashi Raptor
[10219] = "1800;0", --Ice Armor (Rank 3)
[10901] = "30;1", --Power Word: Shield (Rank 10)
[33197] = "24;0", --Misery (Rank 2)
[10894] = "18;1", --Shadow Word: Pain (Rank 8)
[53548] = "4;1", --Pin (Rank 6)
[34477] = "30;0", --Misdirection
[10291] = "0;0", --Devotion Aura (Rank 4)
[11549] = "240;0", --Battle Shout (Rank 4)
[355] = "3;0", --Taunt
[53477] = "3;0", --Taunt
[694] = "6;0", --Mocking Blow
[6795] = "3;0", --Growl
[56222] = "3;0", --Dark Command
[62124] = "3;0", --Hand of Reckoning
[31790] = "3;0", --Righteous Defense
[20736] = "6;0", --Distracting Shot
[1161] = "6;0", --Challenging Shout
[5209] = "6;0", --Challenging Roar
[49560] = "3;0", --Death Grip
[31661] = "5;1", --Dragon's Breath (Rank 1)
[33041] = "5;1", --Dragon's Breath (Rank 2)
[33042] = "5;1", --Dragon's Breath (Rank 3)
[33043] = "5;1", --Dragon's Breath (Rank 4)
[42949] = "5;1", --Dragon's Breath (Rank 5)
[42950] = "5;1", --Dragon's Breath (Rank 6)
[49203] = "10;1", --Hungering Cold (Rank 1)
[6770] = "60;0", --Sap (Rank 1)
[9484] = "30;1", --Shackle Undead (Rank 1)
[9485] = "40;1", --Shackle Undead (Rank 2)
[10955] = "50;1", --Shackle Undead (Rank 3)
[118] = "50;1", --Polymorph (Rank 1)
[3355] = "20;1", --Freezing Trap Effect (Rank 1)
[25046] = "2;1", --Arcane Torrent (Racial)
[18469] = "2;1", --Silenced - Improved Counterspell	 (Rank 1)
[1513] = "20;1", --Scare Beast (Rank 1)
[50518] = "2;0", --Ravage (Rank 1)
[50519] = "2;0", --Sonic Blast (Rank 1)
[59671] = "6;0", --Challenging Howl (Demon)
[59570] = "0;0", --Red Drake
[59889] = "6;1", --Borrowed Time
[60340] = "7200;0", --Accuracy
[61294] = "0;0", --Green Proto-Drake
[41514] = "0;0", --Azure Netherwing Drake
[58500] = "7200;0", --Angry
[50436] = "10;0", --Icy Clutch
[64855] = "10;0", --Blade Barrier (Rank 2)
[60525] = "10;0", --Majestic Dragon Figurine
[68057] = "0;0", --Swift Alliance Steed
[61198] = "6;0", --Spirit Strike (Rank 6)
[39315] = "0;0", --Cobalt Riding Talbuk
[32295] = "0;0", --Swift Green Wind Rider
[33256] = "1800;0", --Well Fed
[8222] = "3600;0", --Yaaarrrr
[32246] = "0;0", --Swift Red Wind Rider
[39316] = "0;0", --Dark Riding Talbuk
[70013] = "0;0", --Quel'Delar's Compulsion
[48935] = "600;1", --Blessing of Wisdom (Rank 8)
[39800] = "0;0", --Red Riding Nether Ray
[19579] = "0;0", --Spirit Bond (Rank 1)
[53751] = "3600;0", --Elixir of Mighty Fortitude
[56520] = "600;1", --Blessing of Might (Rank 10)
[28520] = "7200;0", --Flask of Relentless Assault
[14318] = "0;0", --Aspect of the Hawk (Rank 2)
[14322] = "0;0", --Aspect of the Hawk (Rank 6)
[57102] = "3600;0", --Well Fed
[605] = "60;1", --Mind Control
[6358] = "15;1", --Seduction
[24452] = "0;0", --Prowl (Rank 2)
[14319] = "0;0", --Aspect of the Hawk (Rank 3)
}


--Durations that don't match PvE durations.
--http://www.wowwiki.com/Diminishing_returns
lib.auraInfoPvP = {
[339] = 10, --Entangling Roots (Rank 1)
[18657] = 10, --Hibernate (Rank 2)
[14308] = 10, --Freezing Trap Effect (Rank 2)
[14309] = 10, --Freezing Trap Effect (Rank 3)
[3355] = 10, --Freezing Trap Effect (Rank 1)
--~ [1513] = 10, --Scare Beast (Rank 1)
[49012] = 6, --Wyvern Sting (Rank 6)
[61721] = 10, --Polymorph (Rabbit)
[118] = 10, --Polymorph (Rank 1)
[20066] = 6, --Repentance
[10326] = 10, --Turn Evil
[605] = 10, --Mind Control
--~ [10955] = 10,--Shackle Undead 
[8643] = 6, --Kidney Shot (Rank 2) (time based on comob points, i'll assume they're using 5 points)
[51724] = 10, --Sap (Rank 4)
[6770] = 10, --Sap (Rank 1)
[51514] = 10, --Hex 
[18647] = 6, --Banish (Rank 2)
[6215] = 10, --Fear (Rank 3)
[6358] = 10, --Seduction
[1715] = 10, --Hamstring
}

--~ local mem2 = collectgarbage("count")
--~ local memoryUsed = (mem2 - mem1) * 1024
--~ print("our spelldata table's using. "..memoryUsed.." bytes")

--~ local newTbl = {}

--~ for spellID in pairs(lib.auraInfo) do 
--~ 	newTbl[spellID] = {x=1,y=1}
--~ end

--~ local mem3 = collectgarbage("count")
--~ local memoryUsed = (mem3 - mem2) * 1024
--~ print("our spelldata if we were using tables. "..memoryUsed.." bytes")